OpenTTD Source: GenericScopeResolver Struct Reference

OpenTTD Source 1.11.0-RC1

Public Member Functions | Data Fields | Private Attributes
GenericScopeResolver Struct Reference

Scope resolver for generic objects and properties. More...

Inheritance diagram for GenericScopeResolver:

## Public Member Functions
| GenericScopeResolver (ResolverObject &ro, bool ai_callback)
| Generic scope resolver. More...
uint32 | GetVariable (byte variable, uint32 parameter, bool *available) const override
| Get a variable value. More...
Public Member Functions inherited from ScopeResolver
| ScopeResolver (ResolverObject &ro)
virtual uint32 | GetRandomBits () const
| Get a few random bits. More...
virtual uint32 | GetTriggers () const
| Get the triggers. More...
virtual void | StorePSA (uint reg, int32 value)
| Store a value into the persistent storage area (PSA). More...

## Data Fields
CargoID | cargo_type
uint8 | default_selection
uint8 | src_industry
| Source industry substitute type. 0xFF for "town", 0xFE for "unknown".
uint8 | dst_industry
| Destination industry substitute type. 0xFF for "town", 0xFE for "unknown".
uint8 | distance
AIConstructionEvent | event
uint8 | count
uint8 | station_size
uint8 | feature
Data Fields inherited from ScopeResolver
ResolverObject & | ro
| Surrounding resolver object.

## Private Attributes
bool | ai_callback
| Callback comes from the AI.

## Detailed Description

Scope resolver for generic objects and properties.

Definition at line 22 of file newgrf_generic.cpp.

## Constructor & Destructor Documentation

## ◆ GenericScopeResolver()

GenericScopeResolver::GenericScopeResolver | ( | ResolverObject & | ro,
|  | bool | ai_callback
| ) |  |
| inline

Generic scope resolver.

Parameters

  ro | Surrounding resolver.
  ai_callback | Callback comes from the AI.

Definition at line 39 of file newgrf_generic.cpp.

## Member Function Documentation

## ◆ GetVariable()

uint32 GenericScopeResolver::GetVariable | ( | byte | variable,
|  | uint32 | parameter,
|  | bool * | available
| ) |  | const
| overridevirtual

Get a variable value.

Default implementation has no available variables.

Parameters

  | variable | Variable to read
  | parameter | Parameter for 60+x variables
  [out] | available | Set to false, in case the variable does not exist.

Returns
  Value

Reimplemented from ScopeResolver.

Definition at line 124 of file newgrf_generic.cpp.

References ai_callback, CargoSpec::bitnum, GRFFile::cargo_map, DEBUG, dst_industry, CargoSpec::Get(), ResolverObject::grffile, ScopeResolver::ro, and src_industry.

The documentation for this struct was generated from the following file:

- src/newgrf_generic.cpp